// LAF OS Library
// Copyright (C) 2019  Igara Studio S.A.
// Copyright (C) 2012-2017  David Capello
//
// This file is released under the terms of the MIT license.
// Read LICENSE.txt for more information.

#ifndef OS_H_INCLUDED
#define OS_H_INCLUDED
#pragma once

#include "gfx/point.h"
#include "gfx/rect.h"
#include "gfx/region.h"
#include "gfx/size.h"
#include "os/capabilities.h"
#include "os/display.h"
#include "os/draw_text.h"
#include "os/error.h"
#include "os/event.h"
#include "os/event_queue.h"
#include "os/font.h"
#include "os/font_manager.h"
#include "os/font_style.h"
#include "os/font_style_set.h"
#include "os/keys.h"
#include "os/logger.h"
#include "os/menus.h"
#include "os/native_cursor.h"
#include "os/native_dialogs.h"
#include "os/paint.h"
#include "os/pointer_type.h"
#include "os/scoped_handle.h"
#include "os/shortcut.h"
#include "os/surface.h"
#include "os/surface_format.h"
#include "os/system.h"
#include "os/typeface.h"

#endif
